import 'package:fcs/data/provider/invoice_data_provider.dart';
import 'package:fcs/data/provider/shipment_data_provider.dart';
import 'package:fcs/data/services/shipment_service.dart';
import 'package:fcs/domain/entities/connectivity.dart';
import 'package:fcs/domain/entities/invoice.dart';
import 'package:fcs/domain/entities/payment.dart';
import 'package:fcs/domain/entities/shipment.dart';
import 'package:flutter/material.dart';

import 'invoice_service.dart';

class InvoiceServiceImp implements InvoiceService {
  InvoiceServiceImp({
    @required this.invoiceDataProvider,
    @required this.connectivity,
  });

  final Connectivity connectivity;
  final InvoiceDataProvider invoiceDataProvider;

  @override
  Future<void> cancelInvoice(Invoice invoice) {
    return invoiceDataProvider.cancelInvoice(invoice);
  }

  @override
  Future<void> createInvoice(Invoice invoice) {
    return invoiceDataProvider.createInvoice(invoice);
  }

  @override
  Future<void> updateInvoice(Invoice invoice) {
    return invoiceDataProvider.updateInvoice(invoice);
  }

  @override
  Future<void> pay(Payment payment) {
    return invoiceDataProvider.pay(payment);
  }

  @override
  Future<void> updatPaymentStatus(Payment payment) {
    return invoiceDataProvider.updatPaymentStatus(payment);
  }
}
